%{expand: %%define releasefile%( if [ -f '/etc/asianux-release' ];  then echo '/etc/asianux-release'; elif [ -f '/etc/Haansoft-release' ]; then echo '/etc/Haansoft-release'; fi )}

%define ProductName DEFAULT

%if %(cat %{releasefile} | grep -q  Trinity && echo 1 || echo 0 )
    %define ProductName AXS2
%endif

%if %(cat %{releasefile} | grep -q  Quartet && echo 1 || echo 0 )
    %define ProductName AXS3
%endif

%if %(cat %{releasefile} | grep -q  binari && echo 1 || echo 0 )
    %define ProductName DT3
%endif

Name: axtu-authen-client
Version: 1.3.7
Release:1AX
Summary: An Authentication Client for the AXTU(AsianuX Tsn Updater)
Group: Utilities/System
License: GPL/LGPL
URL: http://www.asianux.com
Source: %{name}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: qt-devel,newt-devel,axtu-devel,axtu-libs

%description
An Authentication Client for the AXTU(AsianuX Tsn Updater)

%package gui
Summary: An Authentication Client for the AXTU(AsianuX Tsn Updater) on Graphic User Interface.
Group: Utilities/System
Requires: qt axtu-authen-client-tui axtu-gui

%description gui
An Authentication Client for the AXTU(AsianuX Tsn Updater) on Graphic User Interface.


%package tui
Summary: An Authentication Client for the AXTU(AsianuX Tsn Updater) on Text User Interface.
Group: Utilities/System
Requires: newt axtu-authen-client-libs axtu-tui
Obsoletes: axtu-authen-client

%description tui
An Authentication Client for the AXTU(AsianuX Tsn Updater) on Text User Interface.

%package libs
Summary: Libraries for the AXTU(AsianuX Tsn Updater)
Group: Development/Libraries

%description libs
Libraries for the AXTU(AsianuX Tsn Updater) on Text User Interface.

%prep
%setup -n %{name}

%build
aclocal
autoheader
autoconf
automake
./configure --libdir=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/axtu-authen-client
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files gui
%defattr(-,root,root)
%{_datadir}/axtu-authen-client/img
%{_datadir}/axtu-authen-client/qm
%{_datadir}/axtu-authen-client/bin/axtu-authen-client-gui

%files tui
%defattr(-,root,root)
%{_datadir}/axtu-authen-client/bin/axtu-authen-client-tui
%{_datadir}/axtu-authen-client/bin/axtu-authen-client-cui
%{_datadir}/axtu-authen-client/.conf

%files libs
%{_libdir}/libaxtu_authen_client_shared.*a
%{_libdir}/libaxtu_authen_client_shared.so*


%changelog
* Tue Aug 14 2007 JeongHun Kim <jhkim@haansoft.com> 1.3.7-1AX
- Modify strange english sentenses.

* Thu Aug 09 2007 Yusop Kim <yusop@haansoft.com> 1.3.6-1AX
- Modify for correction the mis-writed English sentences.

* Wed Aug 01 2007 Yusop Kim <yusop@haansoft.com> 1.3.5-2AX
- Rebuild. Because the axtu_shared library is changed. 
In detail, API interface that related with configure file, is changed.
And the axtu-shared library is referenced by axtu-authen-client.
So, this program must be rebuild.

* Tue Jul 31 2007 Yusop Kim <yusop@haansoft.com> 1.3.5-1AX
- Bug fix that cannot check the configure file(Bug # 3368)

* Mon Jul 23 2007 Yusop Kim <yusop@haansoft.com> 1.3.4-1AX
- Remove the Checkbox for the sending profile 
- Bug fix for cannot get the authentication key by product-number

* Wed Jul 18 2007 Yusop Kim <yusop@haansoft.com> 1.3.3-1AX
- Code Improvement
- Hide the send profile option in Gui
- Add Option for getting only address of repository, not Tk
- Modify for more efficient Gui

* Tue Jul 17 2007 Yusop Kim <yusop@haansoft.com> 1.3.2-1AX
- Add the function for Relay Server

* Sat Jul 14 2007 Yusop Kim <yusop@haansoft.com> 1.3.1-1AX
- Seperating the binary according to user interface.Because the users have different envirnments

* Fri Jul 13 2007 Yusop Kim <yusop@haansoft.com> 1.2.4-1AX
- Modify Messages and Labels etc. for GUI and TUI

* Mon Jul 09 2007 Yusop Kim<yusop@haansoft.com> 1.2.3-1AX
- Extending the UI size
- replacing the "alloca" with "malloc" fuction
- all of the "Makefile.am": Adding the compile option => "-W -Wall"
- Modifing the code for authenticating using only product number

* Wed Jun 20 2007 Choi SeongOok <sochoi@miraclelinux.com> 1.2.2-2AX
- add Japanese translations

* Fri Jun 15 2007 Yusop Kim<yusop@haansoft.com> 1.2.2-1AX
- Adding the routine to kill a parent(axtu) process when click the "Cancel" button.

* Thu Jun 14 2007 Hua Jie <jiehua@redflag-linux.com> 1.2.1-2AX
- add Chinese translations

* Tue Jun 12 2007 JeonHun Kim<jhkim@haansoft.com>  1.2.1-1ax
- Main directory is changed. /usr/share/axtu-authen-client-1.1 ==> /usr/share/axtu-authen-client 

* Mon May 21 2007 Yusop Kim<yusop@haansoft.com> 1.1.1-1ax
- Modify the spec file - replaced by macro, and the tag of license
- Add a file for to-do-list
- Modifing the macros
- Change the Prefix directory (axtu-authen-client-1.1)

* Fri May 11 2007 Yusop Kim<yusop@haansoft.com> 1.1-1ax
- Version up for commit to Asianux CVS

* Fri May 11 2007 Yusop Kim<yusop@haansoft.com> 1.0.10-2hs
- Modifing the spec file - _libdir

* Thu May 10 2007 Yusop Kim<yusop@haansoft.com> 1.0.10-1hs
- Adding a function for Logging
- Adding a function for authentication on command line
- When axtu is not authenticated, notifier will show message

* Thu May 05 2007 Yusop Kim<yusop@haansoft.com> 1.0.9-1hs
- Adding the function that LineEditbox for SystemName is filled with IP Address by default

* Thu May 04 2007 Yusop Kim<yusop@haansoft.com> 1.0.8-1hs
- Adding the message window for "The inputted Product Number is not correct." in TUI

* Thu Apr 30 2007 Yusop Kim<yusop@haansoft.com> 1.0.7-1hs
- Modification of some source file name 
- BugFix the problem that the string is not able to strip the white-space.

* Thu Apr 26 2007 Yusop Kim<yusop@haansoft.com> 1.0.6-1hs
- Changing the authentication TAG name from "[main]" to "[authentication]"

* Tue Apr 17 2007 Yusop Kim<yusop@haansoft.com> 1.0.5-1hs
- Modified a bug that do not load some language files
- Added a icon(libs/ui/gui/img/key.png) on the Gui window

* Sat Apr 14 2007 Yusop Kim<yusop@haansoft.com> 1.0.4-1hs
- Remove the related by libaxkey. becase the libaxkey is not finished perfectly.

* Sat Apr 14 2007 Yusop Kim<yusop@haansoft.com> 1.0.3-1hs
- Bug(out of range) fix

* Fri Apr 13 2007 Yusop Kim<yusop@haansoft.com> 1.0.2-1hs
- Remove the 'exit(0)' code

* Thu Apr 12 2007 Yusop Kim<yusop@haansoft.com> 1.0.1-1hs
- modify the authentication address

* Tue Apr 10 2007 Yusop Kim<yusop@haansoft.com> 1.0.0
- make new pkg of axtu-authen-client
